## ide-hover-context ide-hover-context |

## Functions

void | ide_hover_context_add_content ()
void | ide_hover_context_add_widget ()
gboolean | ide_hover_context_has_content ()

## Types and Values

#define | IDE_TYPE_HOVER_CONTEXT
| IdeHoverContext

## Object Hierarchy

        GObject
        ╰── IdeHoverContext

## Description

## Functions

### ide_hover_context_add_content ()

    void
    ide_hover_context_add_content (IdeHoverContext *self,
                                   gint priority,
                                   const gchar *title,
                                   IdeMarkedContent *content);

### ide_hover_context_add_widget ()

    void
    ide_hover_context_add_widget (IdeHoverContext *self,
                                  gint priority,
                                  const gchar *title,
                                  GtkWidget *widget);

### ide_hover_context_has_content ()

    gboolean
    ide_hover_context_has_content (IdeHoverContext *self);

## Types and Values

### IDE_TYPE_HOVER_CONTEXT

    #define IDE_TYPE_HOVER_CONTEXT (ide_hover_context_get_type())

### IdeHoverContext

    typedef struct _IdeHoverContext IdeHoverContext;